Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/24
Addresses2^104
/64 networks2^40
Network
ff00:c900::/24
First address
ff00:c900::
Last address
ff00:c9ff:ffff:ffff:ffff:ffff:ffff:ffff
Addresses
20,282,409,603,651,670,423,947,251,286,016 (2^104)
/64 networks (LANs)
1,099,511,627,776 (2^40)
Full form
ff00:c900:0000:0000:0000:0000:0000:0000
Type
Multicast ff00::/8
One-to-many traffic; replaces broadcast
Reverse DNS zone
9.c.0.0.f.f.ip6.arpa
Split into smaller subnets/36

ff00:c900::/24 makes 4,096 subnets of /36; the first 256 are listed.

Subnets
#SubnetLast address
1ff00:c900::/36ff00:c900:fff:ffff:ffff:ffff:ffff:ffff
2ff00:c900:1000::/36ff00:c900:1fff:ffff:ffff:ffff:ffff:ffff
3ff00:c900:2000::/36ff00:c900:2fff:ffff:ffff:ffff:ffff:ffff
4ff00:c900:3000::/36ff00:c900:3fff:ffff:ffff:ffff:ffff:ffff
5ff00:c900:4000::/36ff00:c900:4fff:ffff:ffff:ffff:ffff:ffff
6ff00:c900:5000::/36ff00:c900:5fff:ffff:ffff:ffff:ffff:ffff
7ff00:c900:6000::/36ff00:c900:6fff:ffff:ffff:ffff:ffff:ffff
8ff00:c900:7000::/36ff00:c900:7fff:ffff:ffff:ffff:ffff:ffff
9ff00:c900:8000::/36ff00:c900:8fff:ffff:ffff:ffff:ffff:ffff
10ff00:c900:9000::/36ff00:c900:9fff:ffff:ffff:ffff:ffff:ffff
11ff00:c900:a000::/36ff00:c900:afff:ffff:ffff:ffff:ffff:ffff
12ff00:c900:b000::/36ff00:c900:bfff:ffff:ffff:ffff:ffff:ffff
13ff00:c900:c000::/36ff00:c900:cfff:ffff:ffff:ffff:ffff:ffff
14ff00:c900:d000::/36ff00:c900:dfff:ffff:ffff:ffff:ffff:ffff
15ff00:c900:e000::/36ff00:c900:efff:ffff:ffff:ffff:ffff:ffff
16ff00:c900:f000::/36ff00:c900:ffff:ffff:ffff:ffff:ffff:ffff
17ff00:c901::/36ff00:c901:fff:ffff:ffff:ffff:ffff:ffff
18ff00:c901:1000::/36ff00:c901:1fff:ffff:ffff:ffff:ffff:ffff
19ff00:c901:2000::/36ff00:c901:2fff:ffff:ffff:ffff:ffff:ffff
20ff00:c901:3000::/36ff00:c901:3fff:ffff:ffff:ffff:ffff:ffff
21ff00:c901:4000::/36ff00:c901:4fff:ffff:ffff:ffff:ffff:ffff
22ff00:c901:5000::/36ff00:c901:5fff:ffff:ffff:ffff:ffff:ffff
23ff00:c901:6000::/36ff00:c901:6fff:ffff:ffff:ffff:ffff:ffff
24ff00:c901:7000::/36ff00:c901:7fff:ffff:ffff:ffff:ffff:ffff
25ff00:c901:8000::/36ff00:c901:8fff:ffff:ffff:ffff:ffff:ffff
26ff00:c901:9000::/36ff00:c901:9fff:ffff:ffff:ffff:ffff:ffff
27ff00:c901:a000::/36ff00:c901:afff:ffff:ffff:ffff:ffff:ffff
28ff00:c901:b000::/36ff00:c901:bfff:ffff:ffff:ffff:ffff:ffff
29ff00:c901:c000::/36ff00:c901:cfff:ffff:ffff:ffff:ffff:ffff
30ff00:c901:d000::/36ff00:c901:dfff:ffff:ffff:ffff:ffff:ffff
31ff00:c901:e000::/36ff00:c901:efff:ffff:ffff:ffff:ffff:ffff
32ff00:c901:f000::/36ff00:c901:ffff:ffff:ffff:ffff:ffff:ffff
33ff00:c902::/36ff00:c902:fff:ffff:ffff:ffff:ffff:ffff
34ff00:c902:1000::/36ff00:c902:1fff:ffff:ffff:ffff:ffff:ffff
35ff00:c902:2000::/36ff00:c902:2fff:ffff:ffff:ffff:ffff:ffff
36ff00:c902:3000::/36ff00:c902:3fff:ffff:ffff:ffff:ffff:ffff
37ff00:c902:4000::/36ff00:c902:4fff:ffff:ffff:ffff:ffff:ffff
38ff00:c902:5000::/36ff00:c902:5fff:ffff:ffff:ffff:ffff:ffff
39ff00:c902:6000::/36ff00:c902:6fff:ffff:ffff:ffff:ffff:ffff
40ff00:c902:7000::/36ff00:c902:7fff:ffff:ffff:ffff:ffff:ffff
41ff00:c902:8000::/36ff00:c902:8fff:ffff:ffff:ffff:ffff:ffff
42ff00:c902:9000::/36ff00:c902:9fff:ffff:ffff:ffff:ffff:ffff
43ff00:c902:a000::/36ff00:c902:afff:ffff:ffff:ffff:ffff:ffff
44ff00:c902:b000::/36ff00:c902:bfff:ffff:ffff:ffff:ffff:ffff
45ff00:c902:c000::/36ff00:c902:cfff:ffff:ffff:ffff:ffff:ffff
46ff00:c902:d000::/36ff00:c902:dfff:ffff:ffff:ffff:ffff:ffff
47ff00:c902:e000::/36ff00:c902:efff:ffff:ffff:ffff:ffff:ffff
48ff00:c902:f000::/36ff00:c902:ffff:ffff:ffff:ffff:ffff:ffff
49ff00:c903::/36ff00:c903:fff:ffff:ffff:ffff:ffff:ffff
50ff00:c903:1000::/36ff00:c903:1fff:ffff:ffff:ffff:ffff:ffff
51ff00:c903:2000::/36ff00:c903:2fff:ffff:ffff:ffff:ffff:ffff
52ff00:c903:3000::/36ff00:c903:3fff:ffff:ffff:ffff:ffff:ffff
53ff00:c903:4000::/36ff00:c903:4fff:ffff:ffff:ffff:ffff:ffff
54ff00:c903:5000::/36ff00:c903:5fff:ffff:ffff:ffff:ffff:ffff
55ff00:c903:6000::/36ff00:c903:6fff:ffff:ffff:ffff:ffff:ffff
56ff00:c903:7000::/36ff00:c903:7fff:ffff:ffff:ffff:ffff:ffff
57ff00:c903:8000::/36ff00:c903:8fff:ffff:ffff:ffff:ffff:ffff
58ff00:c903:9000::/36ff00:c903:9fff:ffff:ffff:ffff:ffff:ffff
59ff00:c903:a000::/36ff00:c903:afff:ffff:ffff:ffff:ffff:ffff
60ff00:c903:b000::/36ff00:c903:bfff:ffff:ffff:ffff:ffff:ffff
61ff00:c903:c000::/36ff00:c903:cfff:ffff:ffff:ffff:ffff:ffff
62ff00:c903:d000::/36ff00:c903:dfff:ffff:ffff:ffff:ffff:ffff
63ff00:c903:e000::/36ff00:c903:efff:ffff:ffff:ffff:ffff:ffff
64ff00:c903:f000::/36ff00:c903:ffff:ffff:ffff:ffff:ffff:ffff
65ff00:c904::/36ff00:c904:fff:ffff:ffff:ffff:ffff:ffff
66ff00:c904:1000::/36ff00:c904:1fff:ffff:ffff:ffff:ffff:ffff
67ff00:c904:2000::/36ff00:c904:2fff:ffff:ffff:ffff:ffff:ffff
68ff00:c904:3000::/36ff00:c904:3fff:ffff:ffff:ffff:ffff:ffff
69ff00:c904:4000::/36ff00:c904:4fff:ffff:ffff:ffff:ffff:ffff
70ff00:c904:5000::/36ff00:c904:5fff:ffff:ffff:ffff:ffff:ffff
71ff00:c904:6000::/36ff00:c904:6fff:ffff:ffff:ffff:ffff:ffff
72ff00:c904:7000::/36ff00:c904:7fff:ffff:ffff:ffff:ffff:ffff
73ff00:c904:8000::/36ff00:c904:8fff:ffff:ffff:ffff:ffff:ffff
74ff00:c904:9000::/36ff00:c904:9fff:ffff:ffff:ffff:ffff:ffff
75ff00:c904:a000::/36ff00:c904:afff:ffff:ffff:ffff:ffff:ffff
76ff00:c904:b000::/36ff00:c904:bfff:ffff:ffff:ffff:ffff:ffff
77ff00:c904:c000::/36ff00:c904:cfff:ffff:ffff:ffff:ffff:ffff
78ff00:c904:d000::/36ff00:c904:dfff:ffff:ffff:ffff:ffff:ffff
79ff00:c904:e000::/36ff00:c904:efff:ffff:ffff:ffff:ffff:ffff
80ff00:c904:f000::/36ff00:c904:ffff:ffff:ffff:ffff:ffff:ffff
81ff00:c905::/36ff00:c905:fff:ffff:ffff:ffff:ffff:ffff
82ff00:c905:1000::/36ff00:c905:1fff:ffff:ffff:ffff:ffff:ffff
83ff00:c905:2000::/36ff00:c905:2fff:ffff:ffff:ffff:ffff:ffff
84ff00:c905:3000::/36ff00:c905:3fff:ffff:ffff:ffff:ffff:ffff
85ff00:c905:4000::/36ff00:c905:4fff:ffff:ffff:ffff:ffff:ffff
86ff00:c905:5000::/36ff00:c905:5fff:ffff:ffff:ffff:ffff:ffff
87ff00:c905:6000::/36ff00:c905:6fff:ffff:ffff:ffff:ffff:ffff
88ff00:c905:7000::/36ff00:c905:7fff:ffff:ffff:ffff:ffff:ffff
89ff00:c905:8000::/36ff00:c905:8fff:ffff:ffff:ffff:ffff:ffff
90ff00:c905:9000::/36ff00:c905:9fff:ffff:ffff:ffff:ffff:ffff
91ff00:c905:a000::/36ff00:c905:afff:ffff:ffff:ffff:ffff:ffff
92ff00:c905:b000::/36ff00:c905:bfff:ffff:ffff:ffff:ffff:ffff
93ff00:c905:c000::/36ff00:c905:cfff:ffff:ffff:ffff:ffff:ffff
94ff00:c905:d000::/36ff00:c905:dfff:ffff:ffff:ffff:ffff:ffff
95ff00:c905:e000::/36ff00:c905:efff:ffff:ffff:ffff:ffff:ffff
96ff00:c905:f000::/36ff00:c905:ffff:ffff:ffff:ffff:ffff:ffff
97ff00:c906::/36ff00:c906:fff:ffff:ffff:ffff:ffff:ffff
98ff00:c906:1000::/36ff00:c906:1fff:ffff:ffff:ffff:ffff:ffff
99ff00:c906:2000::/36ff00:c906:2fff:ffff:ffff:ffff:ffff:ffff
100ff00:c906:3000::/36ff00:c906:3fff:ffff:ffff:ffff:ffff:ffff
101ff00:c906:4000::/36ff00:c906:4fff:ffff:ffff:ffff:ffff:ffff
102ff00:c906:5000::/36ff00:c906:5fff:ffff:ffff:ffff:ffff:ffff
103ff00:c906:6000::/36ff00:c906:6fff:ffff:ffff:ffff:ffff:ffff
104ff00:c906:7000::/36ff00:c906:7fff:ffff:ffff:ffff:ffff:ffff
105ff00:c906:8000::/36ff00:c906:8fff:ffff:ffff:ffff:ffff:ffff
106ff00:c906:9000::/36ff00:c906:9fff:ffff:ffff:ffff:ffff:ffff
107ff00:c906:a000::/36ff00:c906:afff:ffff:ffff:ffff:ffff:ffff
108ff00:c906:b000::/36ff00:c906:bfff:ffff:ffff:ffff:ffff:ffff
109ff00:c906:c000::/36ff00:c906:cfff:ffff:ffff:ffff:ffff:ffff
110ff00:c906:d000::/36ff00:c906:dfff:ffff:ffff:ffff:ffff:ffff
111ff00:c906:e000::/36ff00:c906:efff:ffff:ffff:ffff:ffff:ffff
112ff00:c906:f000::/36ff00:c906:ffff:ffff:ffff:ffff:ffff:ffff
113ff00:c907::/36ff00:c907:fff:ffff:ffff:ffff:ffff:ffff
114ff00:c907:1000::/36ff00:c907:1fff:ffff:ffff:ffff:ffff:ffff
115ff00:c907:2000::/36ff00:c907:2fff:ffff:ffff:ffff:ffff:ffff
116ff00:c907:3000::/36ff00:c907:3fff:ffff:ffff:ffff:ffff:ffff
117ff00:c907:4000::/36ff00:c907:4fff:ffff:ffff:ffff:ffff:ffff
118ff00:c907:5000::/36ff00:c907:5fff:ffff:ffff:ffff:ffff:ffff
119ff00:c907:6000::/36ff00:c907:6fff:ffff:ffff:ffff:ffff:ffff
120ff00:c907:7000::/36ff00:c907:7fff:ffff:ffff:ffff:ffff:ffff
121ff00:c907:8000::/36ff00:c907:8fff:ffff:ffff:ffff:ffff:ffff
122ff00:c907:9000::/36ff00:c907:9fff:ffff:ffff:ffff:ffff:ffff
123ff00:c907:a000::/36ff00:c907:afff:ffff:ffff:ffff:ffff:ffff
124ff00:c907:b000::/36ff00:c907:bfff:ffff:ffff:ffff:ffff:ffff
125ff00:c907:c000::/36ff00:c907:cfff:ffff:ffff:ffff:ffff:ffff
126ff00:c907:d000::/36ff00:c907:dfff:ffff:ffff:ffff:ffff:ffff
127ff00:c907:e000::/36ff00:c907:efff:ffff:ffff:ffff:ffff:ffff
128ff00:c907:f000::/36ff00:c907:ffff:ffff:ffff:ffff:ffff:ffff
129ff00:c908::/36ff00:c908:fff:ffff:ffff:ffff:ffff:ffff
130ff00:c908:1000::/36ff00:c908:1fff:ffff:ffff:ffff:ffff:ffff
131ff00:c908:2000::/36ff00:c908:2fff:ffff:ffff:ffff:ffff:ffff
132ff00:c908:3000::/36ff00:c908:3fff:ffff:ffff:ffff:ffff:ffff
133ff00:c908:4000::/36ff00:c908:4fff:ffff:ffff:ffff:ffff:ffff
134ff00:c908:5000::/36ff00:c908:5fff:ffff:ffff:ffff:ffff:ffff
135ff00:c908:6000::/36ff00:c908:6fff:ffff:ffff:ffff:ffff:ffff
136ff00:c908:7000::/36ff00:c908:7fff:ffff:ffff:ffff:ffff:ffff
137ff00:c908:8000::/36ff00:c908:8fff:ffff:ffff:ffff:ffff:ffff
138ff00:c908:9000::/36ff00:c908:9fff:ffff:ffff:ffff:ffff:ffff
139ff00:c908:a000::/36ff00:c908:afff:ffff:ffff:ffff:ffff:ffff
140ff00:c908:b000::/36ff00:c908:bfff:ffff:ffff:ffff:ffff:ffff
141ff00:c908:c000::/36ff00:c908:cfff:ffff:ffff:ffff:ffff:ffff
142ff00:c908:d000::/36ff00:c908:dfff:ffff:ffff:ffff:ffff:ffff
143ff00:c908:e000::/36ff00:c908:efff:ffff:ffff:ffff:ffff:ffff
144ff00:c908:f000::/36ff00:c908:ffff:ffff:ffff:ffff:ffff:ffff
145ff00:c909::/36ff00:c909:fff:ffff:ffff:ffff:ffff:ffff
146ff00:c909:1000::/36ff00:c909:1fff:ffff:ffff:ffff:ffff:ffff
147ff00:c909:2000::/36ff00:c909:2fff:ffff:ffff:ffff:ffff:ffff
148ff00:c909:3000::/36ff00:c909:3fff:ffff:ffff:ffff:ffff:ffff
149ff00:c909:4000::/36ff00:c909:4fff:ffff:ffff:ffff:ffff:ffff
150ff00:c909:5000::/36ff00:c909:5fff:ffff:ffff:ffff:ffff:ffff
151ff00:c909:6000::/36ff00:c909:6fff:ffff:ffff:ffff:ffff:ffff
152ff00:c909:7000::/36ff00:c909:7fff:ffff:ffff:ffff:ffff:ffff
153ff00:c909:8000::/36ff00:c909:8fff:ffff:ffff:ffff:ffff:ffff
154ff00:c909:9000::/36ff00:c909:9fff:ffff:ffff:ffff:ffff:ffff
155ff00:c909:a000::/36ff00:c909:afff:ffff:ffff:ffff:ffff:ffff
156ff00:c909:b000::/36ff00:c909:bfff:ffff:ffff:ffff:ffff:ffff
157ff00:c909:c000::/36ff00:c909:cfff:ffff:ffff:ffff:ffff:ffff
158ff00:c909:d000::/36ff00:c909:dfff:ffff:ffff:ffff:ffff:ffff
159ff00:c909:e000::/36ff00:c909:efff:ffff:ffff:ffff:ffff:ffff
160ff00:c909:f000::/36ff00:c909:ffff:ffff:ffff:ffff:ffff:ffff
161ff00:c90a::/36ff00:c90a:fff:ffff:ffff:ffff:ffff:ffff
162ff00:c90a:1000::/36ff00:c90a:1fff:ffff:ffff:ffff:ffff:ffff
163ff00:c90a:2000::/36ff00:c90a:2fff:ffff:ffff:ffff:ffff:ffff
164ff00:c90a:3000::/36ff00:c90a:3fff:ffff:ffff:ffff:ffff:ffff
165ff00:c90a:4000::/36ff00:c90a:4fff:ffff:ffff:ffff:ffff:ffff
166ff00:c90a:5000::/36ff00:c90a:5fff:ffff:ffff:ffff:ffff:ffff
167ff00:c90a:6000::/36ff00:c90a:6fff:ffff:ffff:ffff:ffff:ffff
168ff00:c90a:7000::/36ff00:c90a:7fff:ffff:ffff:ffff:ffff:ffff
169ff00:c90a:8000::/36ff00:c90a:8fff:ffff:ffff:ffff:ffff:ffff
170ff00:c90a:9000::/36ff00:c90a:9fff:ffff:ffff:ffff:ffff:ffff
171ff00:c90a:a000::/36ff00:c90a:afff:ffff:ffff:ffff:ffff:ffff
172ff00:c90a:b000::/36ff00:c90a:bfff:ffff:ffff:ffff:ffff:ffff
173ff00:c90a:c000::/36ff00:c90a:cfff:ffff:ffff:ffff:ffff:ffff
174ff00:c90a:d000::/36ff00:c90a:dfff:ffff:ffff:ffff:ffff:ffff
175ff00:c90a:e000::/36ff00:c90a:efff:ffff:ffff:ffff:ffff:ffff
176ff00:c90a:f000::/36ff00:c90a:ffff:ffff:ffff:ffff:ffff:ffff
177ff00:c90b::/36ff00:c90b:fff:ffff:ffff:ffff:ffff:ffff
178ff00:c90b:1000::/36ff00:c90b:1fff:ffff:ffff:ffff:ffff:ffff
179ff00:c90b:2000::/36ff00:c90b:2fff:ffff:ffff:ffff:ffff:ffff
180ff00:c90b:3000::/36ff00:c90b:3fff:ffff:ffff:ffff:ffff:ffff
181ff00:c90b:4000::/36ff00:c90b:4fff:ffff:ffff:ffff:ffff:ffff
182ff00:c90b:5000::/36ff00:c90b:5fff:ffff:ffff:ffff:ffff:ffff
183ff00:c90b:6000::/36ff00:c90b:6fff:ffff:ffff:ffff:ffff:ffff
184ff00:c90b:7000::/36ff00:c90b:7fff:ffff:ffff:ffff:ffff:ffff
185ff00:c90b:8000::/36ff00:c90b:8fff:ffff:ffff:ffff:ffff:ffff
186ff00:c90b:9000::/36ff00:c90b:9fff:ffff:ffff:ffff:ffff:ffff
187ff00:c90b:a000::/36ff00:c90b:afff:ffff:ffff:ffff:ffff:ffff
188ff00:c90b:b000::/36ff00:c90b:bfff:ffff:ffff:ffff:ffff:ffff
189ff00:c90b:c000::/36ff00:c90b:cfff:ffff:ffff:ffff:ffff:ffff
190ff00:c90b:d000::/36ff00:c90b:dfff:ffff:ffff:ffff:ffff:ffff
191ff00:c90b:e000::/36ff00:c90b:efff:ffff:ffff:ffff:ffff:ffff
192ff00:c90b:f000::/36ff00:c90b:ffff:ffff:ffff:ffff:ffff:ffff
193ff00:c90c::/36ff00:c90c:fff:ffff:ffff:ffff:ffff:ffff
194ff00:c90c:1000::/36ff00:c90c:1fff:ffff:ffff:ffff:ffff:ffff
195ff00:c90c:2000::/36ff00:c90c:2fff:ffff:ffff:ffff:ffff:ffff
196ff00:c90c:3000::/36ff00:c90c:3fff:ffff:ffff:ffff:ffff:ffff
197ff00:c90c:4000::/36ff00:c90c:4fff:ffff:ffff:ffff:ffff:ffff
198ff00:c90c:5000::/36ff00:c90c:5fff:ffff:ffff:ffff:ffff:ffff
199ff00:c90c:6000::/36ff00:c90c:6fff:ffff:ffff:ffff:ffff:ffff
200ff00:c90c:7000::/36ff00:c90c:7fff:ffff:ffff:ffff:ffff:ffff
201ff00:c90c:8000::/36ff00:c90c:8fff:ffff:ffff:ffff:ffff:ffff
202ff00:c90c:9000::/36ff00:c90c:9fff:ffff:ffff:ffff:ffff:ffff
203ff00:c90c:a000::/36ff00:c90c:afff:ffff:ffff:ffff:ffff:ffff
204ff00:c90c:b000::/36ff00:c90c:bfff:ffff:ffff:ffff:ffff:ffff
205ff00:c90c:c000::/36ff00:c90c:cfff:ffff:ffff:ffff:ffff:ffff
206ff00:c90c:d000::/36ff00:c90c:dfff:ffff:ffff:ffff:ffff:ffff
207ff00:c90c:e000::/36ff00:c90c:efff:ffff:ffff:ffff:ffff:ffff
208ff00:c90c:f000::/36ff00:c90c:ffff:ffff:ffff:ffff:ffff:ffff
209ff00:c90d::/36ff00:c90d:fff:ffff:ffff:ffff:ffff:ffff
210ff00:c90d:1000::/36ff00:c90d:1fff:ffff:ffff:ffff:ffff:ffff
211ff00:c90d:2000::/36ff00:c90d:2fff:ffff:ffff:ffff:ffff:ffff
212ff00:c90d:3000::/36ff00:c90d:3fff:ffff:ffff:ffff:ffff:ffff
213ff00:c90d:4000::/36ff00:c90d:4fff:ffff:ffff:ffff:ffff:ffff
214ff00:c90d:5000::/36ff00:c90d:5fff:ffff:ffff:ffff:ffff:ffff
215ff00:c90d:6000::/36ff00:c90d:6fff:ffff:ffff:ffff:ffff:ffff
216ff00:c90d:7000::/36ff00:c90d:7fff:ffff:ffff:ffff:ffff:ffff
217ff00:c90d:8000::/36ff00:c90d:8fff:ffff:ffff:ffff:ffff:ffff
218ff00:c90d:9000::/36ff00:c90d:9fff:ffff:ffff:ffff:ffff:ffff
219ff00:c90d:a000::/36ff00:c90d:afff:ffff:ffff:ffff:ffff:ffff
220ff00:c90d:b000::/36ff00:c90d:bfff:ffff:ffff:ffff:ffff:ffff
221ff00:c90d:c000::/36ff00:c90d:cfff:ffff:ffff:ffff:ffff:ffff
222ff00:c90d:d000::/36ff00:c90d:dfff:ffff:ffff:ffff:ffff:ffff
223ff00:c90d:e000::/36ff00:c90d:efff:ffff:ffff:ffff:ffff:ffff
224ff00:c90d:f000::/36ff00:c90d:ffff:ffff:ffff:ffff:ffff:ffff
225ff00:c90e::/36ff00:c90e:fff:ffff:ffff:ffff:ffff:ffff
226ff00:c90e:1000::/36ff00:c90e:1fff:ffff:ffff:ffff:ffff:ffff
227ff00:c90e:2000::/36ff00:c90e:2fff:ffff:ffff:ffff:ffff:ffff
228ff00:c90e:3000::/36ff00:c90e:3fff:ffff:ffff:ffff:ffff:ffff
229ff00:c90e:4000::/36ff00:c90e:4fff:ffff:ffff:ffff:ffff:ffff
230ff00:c90e:5000::/36ff00:c90e:5fff:ffff:ffff:ffff:ffff:ffff
231ff00:c90e:6000::/36ff00:c90e:6fff:ffff:ffff:ffff:ffff:ffff
232ff00:c90e:7000::/36ff00:c90e:7fff:ffff:ffff:ffff:ffff:ffff
233ff00:c90e:8000::/36ff00:c90e:8fff:ffff:ffff:ffff:ffff:ffff
234ff00:c90e:9000::/36ff00:c90e:9fff:ffff:ffff:ffff:ffff:ffff
235ff00:c90e:a000::/36ff00:c90e:afff:ffff:ffff:ffff:ffff:ffff
236ff00:c90e:b000::/36ff00:c90e:bfff:ffff:ffff:ffff:ffff:ffff
237ff00:c90e:c000::/36ff00:c90e:cfff:ffff:ffff:ffff:ffff:ffff
238ff00:c90e:d000::/36ff00:c90e:dfff:ffff:ffff:ffff:ffff:ffff
239ff00:c90e:e000::/36ff00:c90e:efff:ffff:ffff:ffff:ffff:ffff
240ff00:c90e:f000::/36ff00:c90e:ffff:ffff:ffff:ffff:ffff:ffff
241ff00:c90f::/36ff00:c90f:fff:ffff:ffff:ffff:ffff:ffff
242ff00:c90f:1000::/36ff00:c90f:1fff:ffff:ffff:ffff:ffff:ffff
243ff00:c90f:2000::/36ff00:c90f:2fff:ffff:ffff:ffff:ffff:ffff
244ff00:c90f:3000::/36ff00:c90f:3fff:ffff:ffff:ffff:ffff:ffff
245ff00:c90f:4000::/36ff00:c90f:4fff:ffff:ffff:ffff:ffff:ffff
246ff00:c90f:5000::/36ff00:c90f:5fff:ffff:ffff:ffff:ffff:ffff
247ff00:c90f:6000::/36ff00:c90f:6fff:ffff:ffff:ffff:ffff:ffff
248ff00:c90f:7000::/36ff00:c90f:7fff:ffff:ffff:ffff:ffff:ffff
249ff00:c90f:8000::/36ff00:c90f:8fff:ffff:ffff:ffff:ffff:ffff
250ff00:c90f:9000::/36ff00:c90f:9fff:ffff:ffff:ffff:ffff:ffff
251ff00:c90f:a000::/36ff00:c90f:afff:ffff:ffff:ffff:ffff:ffff
252ff00:c90f:b000::/36ff00:c90f:bfff:ffff:ffff:ffff:ffff:ffff
253ff00:c90f:c000::/36ff00:c90f:cfff:ffff:ffff:ffff:ffff:ffff
254ff00:c90f:d000::/36ff00:c90f:dfff:ffff:ffff:ffff:ffff:ffff
255ff00:c90f:e000::/36ff00:c90f:efff:ffff:ffff:ffff:ffff:ffff
256ff00:c90f:f000::/36ff00:c90f:ffff:ffff:ffff:ffff:ffff:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses